Bug 3065 - Empty directory endless loop
Empty directory endless loop
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.20
x86 Windows 3.1
: P3 critical
: none
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 06:12 UTC by Sozutov Andrey
Modified: 2005-09-27 13:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sozutov Andrey 2005-09-06 06:12:12 UTC
server: Linux 2.6.10 + SAMBA 3.0.20 + bug3010_v1.patch
client: ADDON.IP
Can not enter in the empty directory.
Log:
[2005/09/06 20:11:27.700492, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/dir.c:get_dir_entry(810)                               
  get_dir_entry mask=[????????.???] found 1111/. 
fname=.                                                                        
          
[2005/09/06 20:11:27.700524, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/dir.c:get_dir_entry(810)                               
  get_dir_entry mask=[????????.???] found 1111/.. 
fname=..                                                                       
         
[2005/09/06 20:11:27.700855, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/process.c:process_smb(1114)                            
  Transaction 1604189 of length 
69                                                                             
                           
[2005/09/06 20:11:27.700883, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/process.c:switch_message(900)                          
  switch message SMBsearch (pid 3208) conn 
0x8355120                                                                      
                
[2005/09/06 20:11:27.700913, 3, pid=3208, effective(301, 6008), real(301, 0)] 
passdb/lookup_sid.c:fetch_sid_from_uid_cache(158)           
  fetch sid from uid cache 301 -> S-1-5-21-479637130-3719296429-316924257-
1602                                                            
[2005/09/06 20:11:27.700943, 3, pid=3208, effective(301, 6008), real(301, 0)] 
passdb/lookup_sid.c:fetch_sid_from_gid_cache(232)           
  fetch sid from gid cache 6008 -> S-1-5-21-479637130-3719296429-316924257-
13017                                                          
[2005/09/06 20:11:27.700973, 3, pid=3208, effective(301, 6008), real(301, 0)] 
passdb/lookup_sid.c:fetch_sid_from_gid_cache(232)           
  fetch sid from gid cache 6008 -> S-1-5-21-479637130-3719296429-316924257-
13017                                                          
[2005/09/06 20:11:27.701005, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/sec_ctx.c:set_sec_ctx(288)                             
  setting sec ctx (301, 6008) - sec_ctx_stack_ndx = 
0                                                                              
       
[2005/09/06 20:11:27.701042, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/dir.c:dptr_fetch(690)                                  
  fetching dirptr 1 for path 1111 at offset -
2147483648                                                                     
              
[2005/09/06 20:11:27.701077, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/dir.c:get_dir_entry(810)                               
  get_dir_entry mask=[????????.???] found 1111/. 
fname=.                                                                        
          
[2005/09/06 20:11:27.701109, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/dir.c:get_dir_entry(810)                               
  get_dir_entry mask=[????????.???] found 1111/.. 
fname=..                                                                       
         
[2005/09/06 20:11:27.701440, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/process.c:process_smb(1114)                            
  Transaction 1604190 of length 
69                                                                             
                           
[2005/09/06 20:11:27.701468, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/process.c:switch_message(900)                          
  switch message SMBsearch (pid 3208) conn 
0x8355120                                                                      
                
[2005/09/06 20:11:27.701524, 3, pid=3208, effective(301, 6008), real(301, 0)] 
passdb/lookup_sid.c:fetch_sid_from_uid_cache(158)           
  fetch sid from uid cache 301 -> S-1-5-21-479637130-3719296429-316924257-
1602                                                            
[2005/09/06 20:11:27.701554, 3, pid=3208, effective(301, 6008), real(301, 0)] 
passdb/lookup_sid.c:fetch_sid_from_gid_cache(232)           
  fetch sid from gid cache 6008 -> S-1-5-21-479637130-3719296429-316924257-
13017                                                          
[2005/09/06 20:11:27.701583, 3, pid=3208, effective(301, 6008), real(301, 0)] 
passdb/lookup_sid.c:fetch_sid_from_gid_cache(232)           
  fetch sid from gid cache 6008 -> S-1-5-21-479637130-3719296429-316924257-
13017                                                          
[2005/09/06 20:11:27.701616, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/sec_ctx.c:set_sec_ctx(288)                             
  setting sec ctx (301, 6008) - sec_ctx_stack_ndx = 
0                                                                              
       
[2005/09/06 20:11:27.701654, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/dir.c:dptr_fetch(690)                                  
  fetching dirptr 1 for path 1111 at offset -
2147483648                                                                     
             
[2005/09/06 20:11:27.701689, 3, pid=3208, effective(301, 6008), real(301, 0)] 
smbd/dir.c:get_dir_entry(810)                               
  get_dir_entry mask=[????????.???] found 1111/. 
fname=.                                                                        
          
1
Comment 1 Gerald (Jerry) Carter 2005-09-27 12:03:31 UTC
Jeremy, this is the 3rd report.  Please see the patch in BUG 3010
Comment 2 Gerald (Jerry) Carter 2005-09-27 13:44:46 UTC
This should be fixed now in 3.0.20a